Skip to content

Status History for Cross-Border Orders ​

http
POST /api/v3/orders/status/history

Base URL: https://marketplace-api.wildberries.ru · Module: orders-fbs · Section: FBS Assembly Orders · Specification doc ↗

Returns status history for Cross-Border orders. In the sandbox, this method always returns the 200 response.

Request limit per one seller account for FBS assembly orders, supplies, passes and auto-return settings methods:

PeriodLimitIntervalBurst
1 min300 requests200 ms20 requests
One request with 4XX response codes is counted as 10 requests.

In Sandbox — maximum of 1 request per second for all Marketplace methods in total.

Request body ​

application/json — schema object, optional

  • orders integer<int64>[] — Assembly orders IDs

Responses ​

CodeDescriptionSchema
200SuccessPostV3OrdersStatusHistoryResponse200
400Bad request—
401Unauthorizedobject
402Payment requiredobject
403Access deniedError
404Not foundError
429Too many requestsobject

Structure 200:

  • orders object[] — Assembly orders list
    • deliveryDate string — Planned delivery date, RFC3339
    • statuses object[] — Statuses
      • date string — Date of the status assignment
      • code string — Assembly order status code: - dispatched_to_delivery_service — The order is handed over to delivery service in the seller country - on_way_to_delivery_service — The order is on the way to delivery service's warehouse in the seller country - accepted_by_carrier — Item accepted by the carrier - assembling — Sent for assembly - assembled — Assembled at the warehouse - sorted — Sorted - replaced_at_warehouse — Replaced at the warehouse - prepared_for_shipment — Prepared for shipment - in_search — In search - arrived_at_dct — Arrived at the distribution center-transit - arrived_at_sct — Arrived at the sorting center-transit - arrived_at_dc — Arrived at the distribution center - arrived_at_sc — Arrived at the sorting center - prepared_for_shipment_at_sc — Prepared for shipment at the sorting center - shipped_at_sc — Shipped by the sorting center - shipped_at_dct — Shipped by the distribution center — transit - shipped_at_dc — Shipped by the distribution center - delivered_at_sc — Delivered to the SC/DC - on_way_to_sc — En route to the sorting center - on_way_to_dc — En route to the distribution center - on_way_to_pp — En route to the pickup point - arrived_at_pp — Arrived at the pickup point - accepted_at_pp — Received at the pickup point - ready_for_pick_up — Ready for pickup - arrived_at_pp — Arrived at the pickup point - received_by_client — Received by the client - delivered_at_parcel_locker — Delivered to the parcel locker - canceled_by_client — Buyer canceled the order upon receipt - cancel_after_expiration — Canceled due to storage time limit - at_courier — Transferred to the courier - moved_to_return_box — Moved to the return box - accepted_for_return — Accepted for return at the pickup point - created — Created - canceled_by_seller — Canceled by the seller - dispatched_by_seller — Shipped according to seller data - delivered — Order issued - on_way — En route - arrived_at_wb_wh — Arrived at the WB warehouse - dispatched_from_wh — Sent from the warehouse - customs_clearance — Customs clearance - customs_clearance_completed — Released by customs - departed_from_origin_country — Sent from the seller country - arrived_in_destination_country — Arrival in the destination country - on_way_to_wb_sc — Sent to the WB SC - accepted_at_wb_sc — Accepted by the WB SC - canceled — Canceled - failed_to_reach_client — Could not reach the client
    • orderID integer<int64> — Assembly order ID

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 404:

  • code string — Error code
  • message string — Error description
  • data object — Additional data for the error

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.orders_fbs import Configuration, ApiClient
from wb_api_client.orders_fbs.api import OrdersFbsApi

cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbsApi(ApiClient(cfg))

result = api.post_v3_orders_status_history(post_v3_orders_status_history_request=...)
print(result)
ts
import {
  Configuration,
  OrdersFbsApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbs";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbsApi(cfg);

const { data } = await api.postV3OrdersStatusHistory(postV3OrdersStatusHistoryRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbordersfbs "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbs"
)

cfg := wbordersfbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbs.NewAPIClient(cfg)

result, _, err := client.OrdersFbsAPI.PostV3OrdersStatusHistory(context.Background()).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.orders_fbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbs.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbs.api.OrdersFbsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbsApi api = new OrdersFbsApi(client);

System.out.println(api.postV3OrdersStatusHistory(postV3OrdersStatusHistoryRequest));
php
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbs\Api\OrdersFbsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbsApi(new Client(), $config);

print_r($api->postV3OrdersStatusHistory());
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbsApi(Настройки);

Сообщить(Клиент.PostV3OrdersStatusHistory(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbs.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbsApi(config);

Console.WriteLine(api.PostV3OrdersStatusHistory());
rust
use wb_api_client::orders_fbs::apis::{configuration::Configuration, orders_fbs_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = orders_fbs_api::post_v3_orders_status_history(&cfg, post_v3_orders_status_history_request).await;
    println!("{:#?}", result);
}